<?php
/**@var $project \App\Model\Project */
$lastParser = $project->getLastParser();
?>
<div class="row">
    <div class="span12">
        <div class="widget widget-plain">
            <a class="btn btn-large btn-success" href="<?php echo PROJECT_FOLDER;?>project/1/backlinks/import">Import Backlinks</a>
            <a class="btn btn-large btn-success" href="<?php echo PROJECT_FOLDER;?>project/1/backlinks/export">Export All Data</a>

        </div>
        <!-- /widget -->
    </div>
    <!-- /span12 -->
</div>

<div class="row">
    <!-- /span6 -->
    <div class="span12 backlinks-list">
        <?php if ($flash['link-delete']):?>
            <div class="alert alert-info">
                <b><?php echo $flash['link-delete']?></b>
            </div>
        <?php endif;?>
       <?php if ($flash['export']):?>
            <div class="alert alert-info">
                <b><?php echo $flash['export']?></b>
            </div>
        <?php endif;?>
        <div class="widget widget-table action-table">
            <?php if ($flash['project-action']):?>
                <div class="alert alert-success">
                    <b><?php echo $flash['project-action']?></b>
                </div>
            <?php endif;?>
            <div class="widget-header"><i class="icon-th-list"></i>
                <h3>Backlinks</h3> TOTAL: <?php echo count($project->ownBacklinks);?>, Last Updated On: <?php echo $parser->started?>

            </div>
            <!-- /widget-header -->
            <div class="widget-content">
                <?php if ($project->ownBacklinks):?>
                    <table class="table table-striped table-bordered tablesorter" id = "backlinksList">
                        <thead>
                        <tr>
                            <th> Backlinks</th>
                            <th> Created</th>
                            <th> Updated</th>
                            <th> Update Status</th>
                            <th> Response Code</th>
                            <th> IP</th>
                            <th> Twitter Shares</th>
                            <th> Facebook Likes</th>
                            <th> Google+ Likes</th>
                            <th> Delicious Saves</th>
                            <th> PR (Pagerank)</th>
                            <th> Google Cache</th>
                            <th> Alexa Rank</th>
                            <th> OSE PA</th>
                            <th> OSE DA</th>
                            <th> Internal Links</th>
                            <th> External Links</th>
                            <th> Linked Page</th>
                            <th> Dofollow Status</th>
                            <th> Update Errors or Messages</th>
                            <th class="td-actions"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach($project->ownBacklinks as $backlink): ?>
                            <?php
                            $bErrors = $backlink->getErrors();
                            ?>
                            <tr class = "<?php echo isset($bErrors['href'])?'error':''?>">
                                <td><a href = "<?php echo $backlink->link?>" target = "_blank"><?php echo $backlink->link?></a></td>
                                <td><?php echo $backlink->created?></td>
                                <td><?php echo $backlink->updated?></td>
                                <td>
                                    <?php if ($lastParser):?>
                                        <span class = "parser-text-status"><?php echo ($backlink->parser_id === $lastParser->id?'check':'time');?></span>
                                        <i class="icon-large icon-<?php echo ($backlink->parser_id === $lastParser->id?'check green':'time red');?>"></i>
                                    <?php endif;?>
                                </td>

                                <td><?php echo $backlink->code?></td>
                                <td><?php echo $backlink->ip?></td>
                                <td><?php echo $backlink->twitter?></td>
                                <td>
                                    <?php
                                    //TODO: do more pretty
                                    if ($facebook = @unserialize($backlink->facebook)) {
                                        if (is_array($facebook)) {
                                            echo $facebook['share_count'];
                                        }else {
                                            echo $facebook;
                                        }
                                    }
                                    else {
                                        echo $backlink->facebook;
                                    }
                                    ?></td>
                                <td><?php echo $backlink->googleplus?></td>
                                <td><?php echo $backlink->delicious?></td>
                                <td><?php echo $backlink->pagerank?></td>
                                <td><?php echo $backlink->google_cache?></td>
                                <td><?php echo $backlink->alexa?></td>
                                <td><?php echo $backlink->osepa?></td>
                                <td><?php echo $backlink->oseda?></td>
                                <td><?php echo $backlink->internal_links?></td>
                                <td><?php echo $backlink->external_links?></td>
                                <td>
                                    <?php if ($projectLink = $backlink->getProjectLink()):?>
                                        <a href = "<?php echo $projectLink['href']?>" class = "<?php echo \App\Model\Backlink::getColor($projectLink)?>" target="_blank"><?php echo $projectLink['anchor']?></a>
                                    <?php endif;?>
                                </td>
                                <td>
                                    <?php if ($projectLink = $backlink->getProjectLink()):?>
                                        <?php echo ($projectLink['dofollow'])?'Yes':'No';?>
                                    <?php endif;?>
                                </td>
                                <td>
                                    <?php if ($backlink->getErrors()):?>
                                        <ul>
                                        <?php foreach ($backlink->getErrors() as $error):?>
                                            <li><?php echo $error?></li>
                                        <?php endforeach;?>
                                        </ul>
                                    <?php endif?>
                                </td>
                                <td class="td-actions">
                                    <nobr>
                                    <form action="<?php echo PROJECT_FOLDER;?>project/1/backlinks/remove" method="post" class = "float-left nomarg">
                                        <button
                                            class="btn btn-danger btn-small" onclick="return confirm('Are you shure? <?php echo ($lastParser && $backlink->parser_id === $lastParser->id? 'If you will remove this link, than you can not update last parser.':'');?>') ? true : false;">
                                            <i class="btn-icon-only icon-remove"> </i>
                                        </button>
                                        <input type = "hidden" name = "id" value = "<?php echo $backlink->id?>"/>
                                    </form>
                                    <?php if ($lastParser && $lastParser->getStatus() === \App\Model\Parser::STATUS_FINISH && $lastParser->can_update):?>
                                            <button class="btn btn-success btn-small parse" rel = "<?php echo $backlink->id?>"><i class="btn-icon-only icon-play"> </i></button>
                                    <?php endif;?>
                                    </nobr>
                                </td>

                            </tr>
                        <?php endforeach;?>
                        </tbody>
                    </table>

                <?php else:?>
                    <div> No backlinks found.</div>
                <?php endif;?>
            </div>
            <div id = "pager">
                <form>
                    <a href = "#" class = "prev btn">Prev</a>
                    <div class="pagedisplay"></div>
                    <a href = "#" class = "next btn">Next</a>
                    <select class="pagesize">
                        <option selected="selected"  value="50">50</option>
                        <option value="100">100</option>
                        <option value="200">200</option>
                    </select>
                </form>
            </div>
            <!-- /widget-content -->
        </div>
        <!-- /widget -->
        <div class="widget widget-table action-table">
            <div class="widget-header"><i class="icon-th-list"></i>
                <h3>Add new backlink(s)</h3>
            </div>
            <!-- /widget-header -->
            <div class="widget-content" id = "alerts">
                <?php $alerts = unserialize($flash['link-info']);?>
                <?php if ($alerts):?>
                    <?php foreach ($alerts as $alert):?>
                    <div class="alert alert-info">
                        <b><?php echo $alert?></b>
                    </div>
                    <?php endforeach;?>
                <?php else:?>
                    <br/>
                <?php endif;?>
                <form id="add-backlink" class="form-horizontal" method="post" action="<?php echo PROJECT_FOLDER;?>project/1/backlinks/add">
                    <fieldset>
                        <div class="control-group">
                            <label class="control-label" for="link">Backlinks (One link per line.)</label>
                            <div class="controls">
                                <textarea type="text" class="span6" id="link" name = "links" placeholder = "http(s)://yourbacklinks.com/"></textarea>
                            </div> <!-- /controls -->
                        </div>
                        <div class="control-group">
                            <div class="controls">
                                <input type="checkbox" name = "avoid" value="1"/>
                                &nbsp;Avoid multiple backlinks from same domain
                            </div>
                        </div>
                        <div class="form-actions">
                            <button type="submit" class="btn btn-primary">Add New Backlinks</button>
                        </div>
                    </fieldset>
                </form>
            </div>
            <!-- /widget-content -->
        </div>
        <!-- /widget -->
    </div>
    <!-- /span6 -->
</div>
    <script>
        jQuery(document).ready(function($){
            $('button.parse').click(function(){
                var id = $(this).attr('rel');
                if (confirm('Are you shure want to update link?')) {
                    $('button.parse').remove();
                    $.ajax({
                        url: "<?php echo PROJECT_FOLDER;?>project/parser/link/" + id,
                        timeout:3000,
                        type: 'POST'
                    }).done(function(){
                            alert('Backlink will be updated in 10-20 seconds. Refresh page to view result.');
                        }).fail(function(){
                            alert('Backlink will be updated in 10-20 seconds. Refresh page to view result.');
                        });
                }
            })
        }(jQuery));
    </script>
<!-- /row -->
